Classes | Namespaces | Macros | Functions
libfreehand_utils.h File Reference
`#include <vector>`
`#include <string>`
`#include <math.h>`
`#include <boost/cstdint.hpp>`
`#include <librevenge/librevenge.h>`

Go to the source code of this file.

## Classes
class | libfreehand::EndOfStreamException
class | libfreehand::GenericException

## Namespaces
| libfreehand

## Macros
#define | M_PI 3.14159265358979323846
#define | FH_EPSILON 1E-6
#define | FH_ALMOST_ZERO(m) (fabs(m) <= FH_EPSILON)
#define | FH_DEBUG_MSG(M)
#define | FH_DEBUG(M)

## Functions
uint8_t | libfreehand::readU8 (librevenge::RVNGInputStream *input)
uint16_t | libfreehand::readU16 (librevenge::RVNGInputStream *input)
uint32_t | libfreehand::readU32 (librevenge::RVNGInputStream *input)
int8_t | libfreehand::readS8 (librevenge::RVNGInputStream *input)
int16_t | libfreehand::readS16 (librevenge::RVNGInputStream *input)
int32_t | libfreehand::readS32 (librevenge::RVNGInputStream *input)
unsigned long | libfreehand::getRemainingLength (librevenge::RVNGInputStream *input)
void | libfreehand::writeU16 (librevenge::RVNGBinaryData &buffer, const int value)
void | libfreehand::writeU32 (librevenge::RVNGBinaryData &buffer, const int value)
void | libfreehand::_appendUTF16 (librevenge::RVNGString &text, std::vector< unsigned short > &characters)
void | libfreehand::_appendMacRoman (librevenge::RVNGString &text, unsigned char character)

## Macro Definition Documentation

## ◆ FH_ALMOST_ZERO

#define FH_ALMOST_ZERO | ( |  | m | ) | (fabs(m) <= FH_EPSILON)

## ◆ FH_DEBUG

#define FH_DEBUG | ( |  | M | ) |

## ◆ FH_DEBUG_MSG

#define FH_DEBUG_MSG | ( |  | M | ) |

## ◆ FH_EPSILON

#define FH_EPSILON 1E-6

## ◆ M_PI

#define M_PI 3.14159265358979323846